<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
	<title>Custom Date Renderer</title>
	<!--- import the Ext date package --->
	<script src="/CFIDE/scripts/ajax/ext/package/date.js" type="text/javascript"></script>
	<!--- create javascript function for rendering dates --->
	<script language="JavaScript" type="text/javascript">
	setDateRenderer = function(){
		mygrid = ColdFusion.Grid.getGridObject('CouponsGrid');
		cm = mygrid.getColumnModel();
		cm.setRenderer(3, Ext.util.Format.dateRenderer('m/d/Y'));
		mygrid.reconfigure(mygrid.getDataSource(),cm);
	}
	</script>
</head>

<body>
<!--- Set up the Grid --->
<cfform id="CouponForm" name="CouponForm">
   <cfgrid name="CouponsGrid"
         format="html"
         pagesize="10"
         striperows="yes"
         selectmode="edit"
         bind="cfc:coupons.getCoupons({cfgridpage},{cfgridpagesize},{cfgridsortcolumn},{cfgridsortdirection})"
         onchange="cfc:coupons.editCoupon({cfgridaction},{cfgridrow},{cfgridchanged})">
      <cfgridcolumn name="Couponid" display="false" />
      <cfgridcolumn name="SPONSORID" header="Sponsor" width="100"/>
      <cfgridcolumn name="COUPON" header="Coupon" width="100"/>
      <cfgridcolumn name="EXPIRATIONDATE" header="Exp Date" width="200"/>
   </cfgrid>
</cfform>

<!--- use AjaxOnLoad to set the date renderer --->
<cfset ajaxOnLoad("setDateRenderer")>
</body>
</html>



