<cfcomponent output="false">

<cfset THIS.dsn="cfbookclub">


<!--- Get art by media type --->
<cffunction name="getCoupons" access="remote" returnType="struct">
	<cfargument name="page" type="numeric" required="yes">
	<cfargument name="pageSize" type="numeric" required="yes">
	<cfargument name="gridsortcolumn" type="string" required="no" default="">
	<cfargument name="gridsortdir" type="string" required="no" default="">
	
	<!--- Local variables --->
	<cfset var data="">

	<!--- Get data --->
	<cfquery name="data" datasource="#THIS.dsn#">
	SELECT COUPONID, SPONSORID, COUPON, EXPIRATIONDATE
	FROM COUPONS
	</cfquery>
	
	<cfset qryFinalQuery = QueryNew("COUPONID, SPONSORID, COUPON, EXPIRATIONDATE","varchar,varchar,varchar,varchar") />
	<cfloop query="data">
		<cfset QueryAddRow(qryFinalQuery) />
		<cfset QuerySetCell(qryFinalQuery, "COUPONID", "#data.COUPONID#") />
		<cfset QuerySetCell(qryFinalQuery, "SPONSORID", "#data.SPONSORID#") />
		<cfset QuerySetCell(qryFinalQuery, "COUPON", "#data.COUPON#") />
		<cfset QuerySetCell(qryFinalQuery, "EXPIRATIONDATE", "#DateFormat(data.EXPIRATIONDATE, 'mm/dd/yyyy')#") />
	</cfloop>
	<!--- And return it as a grid structure --->
      <cfreturn QueryConvertForGrid(qryFinalQuery,
                     ARGUMENTS.page,
                     ARGUMENTS.pageSize)>

</cffunction>

<!--- Edit an coupon --->
   <cffunction name="editCoupon" access="remote">
      <cfargument name="gridaction" type="string" required="yes">
      <cfargument name="gridrow" type="struct" required="yes">
      <cfargument name="gridchanged" type="struct" required="yes">

      <!--- Local variables --->
      <cfset var colname="">
      <cfset var value="">

      <!--- Process gridaction --->
      <cfswitch expression="#ARGUMENTS.gridaction#">
         <!--- Process updates --->
         <cfcase value="U">
            <!--- Get column name and value --->
            <cfset colname=StructKeyList(ARGUMENTS.gridchanged)>
            <cfset value=ARGUMENTS.gridchanged[colname]>
            <!--- Perform actual update --->
            <cfquery datasource="#THIS.dsn#">
            UPDATE COUPONS
            SET <cfswitch expression="#colname#">
			 		<cfcase value="EXPIRATIONDATE">#colname# = #createodbcdatetime(value)#</cfcase>
					<cfdefaultcase>#colname# = '#value#'</cfdefaultcase>
				</cfswitch>
			
            WHERE COUPONID = #ARGUMENTS.gridrow.COUPONID#
            </cfquery>
         </cfcase>
         <!--- Process deletes --->
         <!--- <cfcase value="D">
            <!--- Perform actual delete --->
            <cfquery datasource="#THIS.dsn#">
            DELETE FROM COUPONS
            WHERE contactid = #ARGUMENTS.gridrow.COUPONID#
            </cfquery>
         </cfcase> --->
      </cfswitch>
   </cffunction>

</cfcomponent>